/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\Interred Grizzle\Quest Items\librarykey.cs
Lines of code: 29
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class LibraryKey : baseexpirekey
	{
		[Constructable]
		///////////Name, itemid, hue, expire time
		public LibraryKey() : base("Library Key", 4112,1150,TimeSpan.FromHours(1) )
		{
		}
		
		public LibraryKey( Serial serial ) : base( serial )
		{
		}
		
		public override void OnDoubleClick( Mobile from )
		{
			from.SendMessage("You must turn in this key at the small table near the entrance of Bedlam");
		}		

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt(); 
		}	
	}
}
